﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Toolkit.Mvvm.ComponentModel;
using System.Collections.Concurrent;
using System.Collections.ObjectModel;
using System.Windows;
using BPASmartClient.Helper;
using Microsoft.Toolkit.Mvvm.Input;

namespace DosingSystem.ViewModel
{
    public class DeviceListViewModel : ObservableObject
    {
        public DeviceListViewModel()
        {
            for (int i = 0; i < 10; i++)
            {
                devices.Add(new Devices() { IpAddress = $"192.168.1.{i + 10}", DeviceName = $"Device_{i}" });
            }
        }

        public static ObservableCollection<Devices> devices { get; set; } = new ObservableCollection<Devices>();
    }

    public class Devices : ObservableObject
    {
        public string IpAddress { get { return _mIpAddress; } set { _mIpAddress = value; OnPropertyChanged(); } }
        private string _mIpAddress;

        public string DeviceName { get { return _mDeviceName; } set { _mDeviceName = value; OnPropertyChanged(); } }
        private string _mDeviceName;

    }
}
